Subject: bug#31065: Version 2??

From: Mark Adler <[email-masked]>
Date: Thu, 5 Apr 2018 10:20:48 -0700

Jim,

I’d certainly support that, but it would take some work to make pigz more portable. It depends on the POSIX pthread functions, where I don’t know how that will play out on, for example, Windows. I have an Android report where apparently pthread is not quite the same. Also the pigz Makefile is pretty simple, and there is no configure for where there might be system dependencies that need to be remedied.

As a consequence, there would need to be a fair bit of testing to make sure it works across a wide variety of systems. The current gzip has the advantage of having been deployed over a very wide range of systems over a long time, so a lot of portability issues have been worked out.

Mark

> On Apr 5, 2018, at 9:29 AM, Jim Meyering <[email-masked]> wrote:
> 
> On Thu, Apr 5, 2018 at 9:08 AM, Paul Eggert <[email-masked]> wrote:
>> On 04/04/2018 06:09 PM, Jim Meyering wrote:
>>> 
>>> maybe 2.0 to keep it
>>> short and simple.
>> 
>> I have a more-drastic idea in mind. Let's replace gzip's source code with
>> pigz's, make the minimal set of changes needed to make it compatible with
>> gzip and/or GNU in general, and call it gzip 2.0. In the meantime, we can
>> keep the gzip 1 series around with the traditional implementation.
> 
> I like it!